# Embeddable

This table lists the Embeddable information fields available in the JPA Details view for Embeddable entity type.

Property | Description | Default
--- | --- | ---

Access

Specify how the entity its access instance variables.

- Property – Persistent state accessed through the property accessor methods. The property accessor methods must be public or private.

- Field – Instance variables are accessed directly. All non-transient instance variables are persistent.

Note: This field is for display only, based on the properties in the `orm.xml`: If only the methods of the class are annotated, property access type is used. In all other cases, field access type is used.

Field

Related tasks

- Adding persistence to a class

Related reference

- JPA Details view (for entities)